USE [TagsDb]
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[TagsTI]') AND type in (N'U'))
DROP TABLE [dbo].[TagsTI]
GO

USE [TagsDb]
GO

SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO


CREATE TABLE [dbo].[TagsTI](
	[Dt] [datetime] NOT NULL,
	[FixDt] [datetime] NOT NULL,
	[Ch] [tinyint] NOT NULL,
	[RTU] [tinyint] NOT NULL,
	[Point] [smallint] NOT NULL,
	[Value] [real] NOT NULL,
	[Flags] [smallint] NOT NULL,
	[FlagsHi] [smallint] NOT NULL,
	[trid] [tinyint] NOT NULL,
) ON [PRIMARY]

GO

IF  EXISTS (SELECT * FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[TagsTI]') AND name = N'IX_TagsTI')
DROP INDEX [IX_TagsTI] ON [dbo].[TagsTI] WITH ( ONLINE = OFF )
GO

USE [TagsDb]
GO

CREATE CLUSTERED INDEX [IX_TagsTI] ON [dbo].[TagsTI] 
(
	[Dt] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
GO

--------------------
--------------------

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[TagsTS]') AND type in (N'U'))
DROP TABLE [dbo].[TagsTS]
GO

USE [TagsDb]
GO

SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO


CREATE TABLE [dbo].[TagsTS](
	[Dt] [datetime] NOT NULL,
	[FixDt] [datetime] NOT NULL,
	[Ch] [tinyint] NOT NULL,
	[RTU] [tinyint] NOT NULL,
	[Point] [smallint] NOT NULL,
	[Value] [tinyint] NOT NULL,
	[Flags] [smallint] NOT NULL,
	[FlagsHi] [smallint] NOT NULL,
	[S2] [smallint] NOT NULL,
	[trid] [tinyint] NOT NULL,
) ON [PRIMARY]

GO

IF  EXISTS (SELECT * FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[TagsTS]') AND name = N'IX_TagsTS')
DROP INDEX [IX_TagsTS] ON [dbo].[TagsTS] WITH ( ONLINE = OFF )
GO

USE [TagsDb]
GO

CREATE CLUSTERED INDEX [IX_TagsTS] ON [dbo].[TagsTS] 
(
	[Dt] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
GO

