USE [TagsDb]
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[TagCatalog]') AND type in (N'U'))
DROP TABLE [dbo].[TagCatalog]
GO

USE [TagsDb]
GO

SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[TagCatalog](
	[TagType] [tinyint] NOT NULL,
	
	[Ch] [tinyint] NOT NULL,
	[RTU] [tinyint] NOT NULL,
	[Point] [smallint] NOT NULL,
	
	[TagName] [varchar](100) NULL,
 CONSTRAINT [PK_TagCatalog] PRIMARY KEY CLUSTERED 
(
	[TagType] ASC, [Ch] ASC, [RTU] ASC, [Point] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
END
GO

IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[TagType]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[TagType](
	[Id] [tinyint] NOT NULL,
	[Title] [char](3) NOT NULL,
 CONSTRAINT [PK_TagType] PRIMARY KEY CLUSTERED 
(
	[Id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]


INSERT [dbo].[TagType] (Id, Title) VALUES(1, '')
INSERT [dbo].[TagType] (Id, Title) VALUES(2, '')
INSERT [dbo].[TagType] (Id, Title) VALUES(3, '')
END
GO
